﻿<%@ Page Title="UserControls in GridView" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register src="UserControls/MyWebUserControl.ascx" tagname="MyWebUserControl" tagprefix="uc1" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        User Controls in GridView!
    </h2>
    <p>
        <asp:GridView ID="gvMyList" runat="server" AllowPaging="True" Width="100%" 
                AutoGenerateColumns="False" onrowdatabound="gvMyList_RowDataBound" 
                BorderColor="White" onpageindexchanging="gvMyList_PageIndexChanging" 
                PageSize="4" >
                
                <Columns>
                    <asp:TemplateField>
                        <ItemTemplate >
                            <asp:HiddenField ID="hdnID" runat="server" Value= '<%#(Eval("MyID"))%>' />
                            <asp:PlaceHolder ID="placeHolder1" runat="server" ></asp:PlaceHolder>
                        </ItemTemplate>
                    </asp:TemplateField>                    
                </Columns>
                <PagerSettings FirstPageText="First" LastPageText="Last" 
                    Mode="NumericFirstLast" Position="TopAndBottom" />
            </asp:GridView>
    </p>
</asp:Content>
