﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            LoadGrid();
        }
    }

    private void LoadGrid()
    {
        MyClassCollection objForumPostCollection = new MyClassCollection();
        for (int i = 1; i <= 102; i++)
        {
            MyClass objMyClass = new MyClass();
            objMyClass.MyID = i.ToString();
            objForumPostCollection.Add(objMyClass);
        }

        gvMyList.DataSource = objForumPostCollection;
        gvMyList.DataBind();
    }

    protected void gvMyList_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            try
            {
                
                UserControls_MyWebUserControl ucMyWebUserControl = new UserControls_MyWebUserControl();
                ucMyWebUserControl.ID = ((HiddenField)e.Row.FindControl("hdnID")).Value;
                ucMyWebUserControl = (UserControls_MyWebUserControl)LoadControl("~/UserControls/MyWebUserControl.ascx");
                ucMyWebUserControl.SetControlElements(Convert.ToInt32(((HiddenField)e.Row.FindControl("hdnID")).Value));
                ((PlaceHolder)e.Row.FindControl("placeHolder1")).Controls.Add(ucMyWebUserControl);
            }
            catch (Exception ex)
            {}
        }
    }
    protected void gvMyList_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        gvMyList.PageIndex = e.NewPageIndex;
        LoadGrid();
    }
}
